cURL
curl --request PUT \ --url https://developer.qaip.com/api/v1/google-drive-settings/{id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "name": "<string>", "rrule": "<string>" } '
{ "id": "<string>", "name": "<string>", "folder_url": "<string>", "rrule": "<string>", "secret_id": "<string>" }
Updates the setting (name, schedule) for Google Drive data sources.
Required roles: All
API key for authentication
Ingestion setting ID for the Google Drive data source
Name of the Google Drive data source
200
Recurrence rule (RFC 5545 RRULE). Empty string or omission removes the existing schedule.
Successfully updated Google Drive setting
Google Drive ingestion setting ID
Name of the Google Drive ingestion setting
Google Drive folder URL
Recurrence rule (RFC 5545 RRULE)
ID of the associated secret